%define _use_internal_dependency_generator 0

Name:		perl-CSS-DOM
Version:	0.16
Release:	1%{?dist}
Epoch:		10
Summary:	Document Object Model for Cascading Style Sheets perl module

Group:		Applications/CPAN
License:	Perl
Source0:	CSS-DOM-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArchitectures: noarch

BuildRequires:	perl-ExtUtils-MakeMaker

%description
%{summary}


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

%prep
%setup -q -n CSS-DOM-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod > CSS-DOM-%{version}-filelist
if [ "$(cat CSS-DOM-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%clean
rm -rf %{buildroot}


%files -f CSS-DOM-%{version}-filelist
#defattr(-,root,root,-)

%changelog
* Fri Feb  5 2016 JoungKyun.Kim <http://oops.org> 10:0.16-1%{?dist}
- First build

